Portage and Entropy conflict

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Portage and Entropy conflict

Postby mati865 » Sun Apr 17, 2011 20:43

Is there any way to stop reinstalling same versions of pkg's by Entropy? E.g. I installed mpfr-5.0.1 by Portage runned equo rescue spmsync and now Entropy is trying to install same version of it. I changed in /etc/entropy/client.conf ignore-spm-downgrades = enable but it still tries to reinstall same version.
mati865
Baby Hen
 
Posts: 9
Joined: Sat Feb 26, 2011 14:41

Re: Portage and Entropy conflict

Postby Fitzcarraldo » Sun Apr 17, 2011 21:03

Yes, there is. Mask the package in Entropy. Add MPFR to /etc/entropy/packages/package.mask so that Entropy does not overwrite the MPFR that you installed via Portage:

Code: Select all
echo "dev-libs/mpfr" >> /etc/entropy/packages/package.mask
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7977
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Portage and Entropy conflict

Postby batvink » Sun Apr 17, 2011 21:15

as far as i know it's normal behaviour.
it's the way that equo rescue spmsync works,
by telling entropy what you did via portage.

Sabayon's MAIN package manager is entropy.
although you can use portage too,
you have to tell entropy what you did.
(except if you decide to use only portage...)

it's like having two captains on one ship
there can be only one.. (hey,that sounds familliour)
unless you tell what you did...
and it's not downgrading since entropy is installing the exact same version...
User avatar
batvink
Old Dear Hen
 
Posts: 495
Joined: Sun Oct 28, 2007 11:44
Location: the netherlands

Re: Portage and Entropy conflict

Postby sabayonino » Mon Apr 18, 2011 11:42

Fitzcarraldo wrote:Yes, there is. Mask the package in Entropy. Add MPFR to /etc/entropy/packages/package.mask so that Entropy does not overwrite the MPFR that you installed via Portage:

Code: Select all
echo "dev-libs/mpfr" >> /etc/entropy/packages/package.mask


or ...

Code: Select all
equo mask dev-libs/mpfr

This mask all mpfr version from entropy

or ...

Code: Select all
equo mask dev-libs/mpfr-XX.XX

where XX.XX is a version to mask

:wink:
User avatar
sabayonino
Sagely Hen
 
Posts: 2446
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Portage and Entropy conflict

Postby mati865 » Mon Apr 18, 2011 15:01

Masking around 200 pkg's is a bit stupid idea. Ok so why im using Entropy? I don't have time and resources to build some big packages e.g chromium, libreoffice but it tries to reinstall all dependencies. Ok its don't downgrading but uses default USE flags.
mati865
Baby Hen
 
Posts: 9
Joined: Sat Feb 26, 2011 14:41


Re: Portage and Entropy conflict

Postby joost » Mon Apr 18, 2011 19:15

Did you mean dev-libs/mpfr ?

http://www.mpfr.org/mpfr-current/
How did you manage to get a 5.0.1 version?

:D
joost
Sagely Hen
 
Posts: 2547
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Portage and Entropy conflict

Postby mati865 » Mon Apr 18, 2011 21:26

ops I made a mistake it might be gmp I was upgrading both at same time
mati865
Baby Hen
 
Posts: 9
Joined: Sat Feb 26, 2011 14:41


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest